Loading...
Searching...
No Matches
SPHLFPortalIterator_t Struct Reference

Instance of a Log Portal Iterator. More...

`#include <sphlogportal.h>`

## Public Attributes

SPHLFLogIterator_t | logIter
SPHLogPortal_t | portal
longPtr_t | current
longPtr_t | next_free
longPtr_t | capacity

## Detailed Description

Instance of a Log Portal Iterator.

Contains a Log Iterator plus additional fields required to access the containing log portal and trace the current logger and detect end conditions (last entry in the last active logger).

Iterators should be allocated in private (local stack) storage to allow concurrent access from multiple threads.

## Member Data Documentation

## capacity

longPtr_t SPHLFPortalIterator_t::capacity

Capacity (number of attached loggers) of this portal

## current

longPtr_t SPHLFPortalIterator_t::current

Index of the current logger

## logIter

SPHLFLogIterator_t SPHLFPortalIterator_t::logIter

Included instant of a Lock Free Logger Iterator

## next_free

longPtr_t SPHLFPortalIterator_t::next_free

Index of the next free logger (end of the list for non-circular portals)

## portal

SPHLogPortal_t SPHLFPortalIterator_t::portal

Handle of the portal containing this logger

The documentation for this struct was generated from the following file:

- src/sphlogportal.h